org.jboss.netty.handler.codec.http.websocket

## Class WebSocketFrameEncoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneEncoder
  - - org.jboss.netty.handler.codec.http.websocket.WebSocketFrameEncoder

All Implemented Interfaces:
  ChannelDownstreamHandler, ChannelHandler

Deprecated.
Use `org.jboss.netty.handler.codec.http.websocketx` instead. Encodes a `WebSocketFrame` into a `ChannelBuffer`.

For the detailed instruction on adding add Web Socket support to your HTTP server, take a look into the `WebSocketServer` example located in the `org.jboss.netty.example.http.websocket` package.

    @Deprecated
    @ChannelHandler.Sharable
    public class WebSocketFrameEncoder
    extends OneToOneEncoder

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketFrameEncoder()` Deprecated.

### Method Summary

Methods
`protected Object` `encode(ChannelHandlerContext ctx, Channel channel, Object msg)` Deprecated. Transforms the specified message into another message and return the transformed message.

### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder

`handleDownstream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketFrameEncoder

    public WebSocketFrameEncoder()

Deprecated.

### Method Detail

#### encode

    protected Object encode(ChannelHandlerContext ctx,
                Channel channel,
                Object msg)
                     throws Exception

Deprecated.
Description copied from class: `OneToOneEncoder`
Transforms the specified message into another message and return the transformed message. Note that you can not return `null`, unlike you can in `OneToOneDecoder.decode(ChannelHandlerContext, Channel, Object)`; you must return something, at least `ChannelBuffers.EMPTY_BUFFER`.

Specified by:
  `encode` in class `OneToOneEncoder`
Throws:
  `Exception`